backend:
  name: git-gateway
  branch: main

media_folder: 'src/assets/images'
public_folder: '../../assets/images'

collections:
  # Blog Collection
  - name: 'blog'
    label: 'Blog'
    folder: 'src/content/blog'
    create: true
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - {
          label: 'Featured',
          name: 'featured',
          widget: 'boolean',
          required: false,
        }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Featured Image', name: 'thumbnail', widget: 'image' }
      - {
          label: 'Category',
          name: 'category',
          widget: 'select',
          allow_add: true,
          options: ['Destinations', 'Culture', 'Photography', 'Sustainability'],
        }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Body', name: 'body', widget: 'markdown' }

  # Tourism Packages Collection
  - name: 'packages'
    label: 'Tourism Packages'
    folder: 'src/content/packages'
    create: true
    fields:
      - { label: 'Package Title', name: 'title', widget: 'string' }
      - {
          label: 'Featured',
          name: 'featured',
          widget: 'boolean',
          required: false,
        }
      - {
          label: 'Duration',
          name: 'duration',
          widget: 'string',
          hint: 'e.g. 6 Nights / 7 Days',
        }
      - { label: 'Thumbnail', name: 'thumbnail', widget: 'image' }
      - {
          label: 'Thumbnail Position',
          name: 'thumbnail_position',
          widget: 'select',
          options: ['', 'left', 'right'],
          required: false,
        }
      - {
          label: 'Short Description',
          name: 'short_description',
          widget: 'text',
        }

      - { label: 'Publish Date', name: 'date', widget: 'datetime' }

      - label: 'Itinerary'
        name: 'itinerary'
        widget: 'list'
        allow_add: true
        fields:
          - { label: 'Day', name: 'day', widget: 'string', hint: 'e.g. Day 1' }
          - {
              label: 'Day Description',
              name: 'day_description',
              widget: 'string',
            }
          - { label: 'Activity / Plan', name: 'activity', widget: 'markdown' }

      - label: "What's Included"
        name: 'included'
        widget: 'list'
        allow_add: true
        field: { label: 'Item', name: 'item', widget: 'string' }

      - label: "What's Not Included"
        name: 'not_included'
        widget: 'list'
        allow_add: true
        field: { label: 'Item', name: 'item', widget: 'string' }

      - label: 'Image Gallery'
        name: 'gallery'
        widget: 'list'
        allow_add: true
        field: { label: 'Image', name: 'image', widget: 'image' }

      - {
          label: 'Category',
          name: 'category',
          widget: 'select',
          allow_add: true,
          options:
            ['Active Adventures', 'Mindful Wellness', 'Culture'],
        }

      - {
          label: 'Body',
          name: 'body',
          widget: 'markdown',
          hint: 'Detailed description',
        }

  # Testimonials Collection
  - name: 'testimonials'
    label: 'Testimonials'
    folder: 'src/content/testimonials'
    create: true
    identifier_field: author
    slug: '{{fields.author}}_{{year}}-{{month}}-{{day}}'
    fields:
      - { label: 'Testimonial', name: 'testimonial', widget: 'text' }
      - { label: 'Author', name: 'author', widget: 'string' }
      - { label: 'Country', name: 'country', widget: 'string' }
      - { label: 'Author Image', name: 'author_image', widget: 'image' }

  # Gallery Collection
  - name: 'gallery'
    label: 'Gallery'
    files:
      - file: 'src/content/gallery/gallery.md'
        label: 'Gallery'
        name: 'gallery'
        fields:
          - {
              label: 'Title',
              name: 'title',
              widget: 'string',
              default: 'Gallery',
            }
          - label: 'Images'
            name: 'images'
            widget: 'list'
            field: { label: 'Image', name: 'image', widget: 'image' }
